Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.utils.xsd
Class CapturingXMLEntityResolver

    java.lang.Object
      org.apache.ode.utils.xsd.CapturingXMLEntityResolver

All Implemented Interfaces:
  org.apache.xerces.xni.parser.XMLEntityResolver

    public class CapturingXMLEntityResolver

extends java.lang.Object
implements org.apache.xerces.xni.parser.XMLEntityResolver

A wrapper for `XMLEntityResolver`s that defers resolution to the wrapped object and saves the byte stream of each resolved entity in a map. The purpose of this object is to provide a mechanism for capturing the "whole" of a schema document (including imports and other dependencies).

Constructor Summary
`CapturingXMLEntityResolver(java.util.Map<java.net.URI,byte[]> capture, org.apache.xerces.xni.parser.XMLEntityResolver resolver)`

Method Summary
`org.apache.xerces.xni.parser.XMLInputSource` | `resolveEntity(org.apache.xerces.xni.XMLResourceIdentifier resourceIdentifier)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CapturingXMLEntityResolver

    public CapturingXMLEntityResolver(java.util.Map<java.net.URI,byte[]> capture,
                                      org.apache.xerces.xni.parser.XMLEntityResolver resolver)

Method Detail

### resolveEntity

    public org.apache.xerces.xni.parser.XMLInputSource resolveEntity(org.apache.xerces.xni.XMLResourceIdentifier resourceIdentifier)
                                                              throws org.apache.xerces.xni.XNIException,
                                                                     java.io.IOException

  Specified by:
    `resolveEntity` in interface `org.apache.xerces.xni.parser.XMLEntityResolver`
  Throws:
    `org.apache.xerces.xni.XNIException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD